update streaming endpoint.md

Update Streaming Endpoint

Media API · Streaming Endpoints

PATCH https://app.mk.io/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}

Update a Streaming Endpoint.
Only the Name and cdnProvider fields are immutable.

RBAC Capability Required: ams.streamingendpoint.update

Authentication

Path parameters

Name Type Required Description
project_name string Yes
endpoint_name string Yes

Request body

Content type: application/json

Example request

curl -X PATCH "https://app.mk.io/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
  "location": "string",
  "properties": {
    "accessControl": {
      "akamai": {
        "akamaiSignatureHeaderAuthenticationKeyList": [
          {
            "base64Key": "string",
            "expiration": "string",
            "identifier": "string"
          }
        ]
      },
      "ip": {
        "allow": [
          {
            "address": "string",
            "name": "",
            "subnetPrefixLength": 32
          }
        ]
      }
    },
    "advancedSettingsName": "string",
    "cdnEnabled": false,
    "cdnProfile": "string",
    "cdnProvider": "StandardAkamai",
    "crossSiteAccessPolicies": {
      "clientAccessPolicy": "string",
      "crossDomainPolicy": "string"
    },
    "customHostNames": [
      "string"
    ],
    "description": "string",
    "maxCacheAge": 86400,
    "maxManifestCacheAge": 60,
    "provisioningState": "InProgress",
    "publicName": "string",
    "resourceState": "Creating",
    "scaleUnits": 0,
    "shieldCache": {
      "scaleUnits": 0
    },
    "sku": {
      "name": "Standard"
    },
    "urlStyle": "string"
  },
  "tags": {
    "key": "string"
  }
}'

Responses

200 — The updated Streaming Endpoint

400 — Bad Request

401 — Unauthorized

403 — Forbidden

404 — Not Found

429 — Too Many Requests

500 — Internal Server Error


Source spec: media-api · operationId: [patch]_/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}